<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="SUB_IRP5_Income" language="groovy" pageWidth="262" pageHeight="100" whenNoDataType="BlankPage" columnWidth="262" leftMargin="0" rightMargin="0" topMargin="0" bottomMargin="0" whenResourceMissingType="Empty" isIgnorePagination="true" uuid="652b3c1e-fb91-4904-8c43-c21868e28d7b">
	<property name="ireport.zoom" value="1.6528925619834713"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="0"/>
	<parameter name="FILE_ID" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA["10025306"]]></defaultValueExpression>
	</parameter>
	<queryString>
		<![CDATA[SELECT "P_E_TAXCERTIFICATE_EMPLOYEE_RECORD"."FILE_CODE",
cast("P_E_TAXCERTIFICATE_EMPLOYEE_RECORD"."VALUE" as numeric(16,2)),
"P_SARS_CODE"."CATEGORY",
"P_E_TAXCERTIFICATE_EMPLOYEE_RECORD"."FILE_ID"
FROM "DBA"."P_E_TAXCERTIFICATE_EMPLOYEE_RECORD" "P_E_TAXCERTIFICATE_EMPLOYEE_RECORD"
INNER JOIN "DBA"."P_SARS_CODE" "P_SARS_CODE"
ON "P_E_TAXCERTIFICATE_EMPLOYEE_RECORD"."FILE_CODE"="P_SARS_CODE"."SARS_CODE"
WHERE  "P_SARS_CODE"."CATEGORY"='IncomeSource'
AND "P_E_TAXCERTIFICATE_EMPLOYEE_RECORD"."FILE_ID"=$P{FILE_ID}
ORDER BY "P_E_TAXCERTIFICATE_EMPLOYEE_RECORD"."FILE_CODE"]]>
	</queryString>
	<field name="FILE_CODE" class="java.math.BigDecimal"/>
	<field name="VALUE" class="java.math.BigDecimal"/>
	<field name="CATEGORY" class="java.lang.String"/>
	<field name="FILE_ID" class="java.math.BigDecimal"/>
	<detail>
		<band height="13">
			<textField pattern="#,##0.00;-#,##0.00" isBlankWhenNull="true">
				<reportElement x="0" y="0" width="133" height="13" uuid="30f23b45-5576-4fba-877d-07c6e32d965f"/>
				<textElement textAlignment="Right">
					<font fontName="SansSerif" size="8"/>
					<paragraph leftIndent="2"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{VALUE}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement x="203" y="0" width="48" height="13" uuid="d2e50dfb-98d5-47a3-86d0-c3b621bf9685"/>
				<textElement textAlignment="Right">
					<font fontName="SansSerif" size="8"/>
					<paragraph leftIndent="1"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{FILE_CODE}]]></textFieldExpression>
			</textField>
		</band>
	</detail>
</jasperReport>
